#include "Config.h"

Config::Config()
{
    if (!LittleFS.begin())
    {
        Serial.println("An Error has occurred while mounting LittleFS");
        return;
    }
}


bool Config::loadConfig()
{
    StaticJsonDocument<1024> doc;
    File config_file = LittleFS.open("/config.json","r");
    deserializeJson(doc, config_file); 
    this->SSID=doc["SSID"].as<const char*>();
    this->PASS=doc["PASS"].as<const char*>();
    return true;
}
